
From: Andrew Morton <akpm@osdl.org>

Cc: Andrey Panin <pazke@donpac.ru>
Cc: Wim Van Sebroeck <wim@iguana.be>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/char/watchdog/ibmasr.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletion(-)

diff -puN drivers/char/watchdog/ibmasr.c~driver-for-ibm-automatic-server-restart-watchdog-fix drivers/char/watchdog/ibmasr.c
--- devel/drivers/char/watchdog/ibmasr.c~driver-for-ibm-automatic-server-restart-watchdog-fix	2005-08-17 21:53:47.000000000 -0700
+++ devel-akpm/drivers/char/watchdog/ibmasr.c	2005-08-17 21:53:47.000000000 -0700
@@ -267,7 +267,10 @@ static int asr_ioctl(struct inode *inode
 			asr_toggle();
 			return 0;
 
-
+		/*
+		 * The hardware has a fixed timeout value, so WDIOC_SETTIMEOUT
+		 * is a noop and WDIOC_GETTIMEOUT always returns 256.
+		 */
 		case WDIOC_SETTIMEOUT:
 			if (get_user(heartbeat, p))
 				return -EFAULT;
_
